import { error } from "@sveltejs/kit";
import type { PageServerLoad } from "./$types";

export const load: PageServerLoad = async ({ platform }) => {
	const db = platform?.env?.TCL_GUESSR_D1 ?? null;
	if (db === null) error(500, "could not access d1");

	const statement = db.prepare(
		"SELECT game.id, game.total_score, user.name FROM game INNER JOIN user ON user.id = game.user_id WHERE game.mode = ? ORDER BY game.total_score DESC, game.time ASC LIMIT 10",
	);

	const { results: easy } = await statement.bind("easy").all();
	const { results: hard } = await statement.bind("hard").all();
	const { results: miguel } = await statement.bind("extreme demon ultra miguel").all();

	return {
		"EXTREME DEMON ULTRA MIGUEL DE LA MORT QUI TUE": miguel,
		Difficile: hard,
		Facile: easy,
	};
};
